summaryrefslogtreecommitdiffstats
path: root/gettext-tools
diff options
context:
space:
mode:
authorBruno Haible <bruno@clisp.org>2003-02-14 15:37:01 +0000
committerBruno Haible <bruno@clisp.org>2009-06-23 12:09:49 +0200
commit00acd73af323179c373c09af083b931cb750a369 (patch)
tree4788b94c8bf922ea4b05f425cc6234d2668508e5 /gettext-tools
parentc84915a82073262264131673bfc1dc491110c505 (diff)
downloadexternal_gettext-00acd73af323179c373c09af083b931cb750a369.zip
external_gettext-00acd73af323179c373c09af083b931cb750a369.tar.gz
external_gettext-00acd73af323179c373c09af083b931cb750a369.tar.bz2
Move tests/msgcomm-23 to gettext-tools/tests/msgcomm-23.
Diffstat (limited to 'gettext-tools')
-rwxr-xr-xgettext-tools/tests/msgcomm-2323
1 files changed, 23 insertions, 0 deletions
diff --git a/gettext-tools/tests/msgcomm-23 b/gettext-tools/tests/msgcomm-23
new file mode 100755
index 0000000..619f1e4
--- /dev/null
+++ b/gettext-tools/tests/msgcomm-23
@@ -0,0 +1,23 @@
+#! /bin/sh
+
+# "msgcomm INPUT INPUT" is equivalent to "msguniq INPUT"
+
+tmpfiles=""
+trap 'rm -fr $tmpfiles' 1 2 3 15
+
+tmpfiles="$tmpfiles mcomm-23.in1 mcomm-23.in2"
+cp ${top_srcdir}/tests/msguniq-a.in mcomm-23.in1
+cp ${top_srcdir}/tests/msguniq-a.in mcomm-23.in2
+
+tmpfiles="$tmpfiles mcomm-23.out"
+: ${MSGCOMM=msgcomm}
+${MSGCOMM} -w 1000 mcomm-23.in1 mcomm-23.in2 -o mcomm-23.out
+test $? = 0 || { rm -fr $tmpfiles; exit 1; }
+
+: ${DIFF=diff}
+${DIFF} ${top_srcdir}/tests/msguniq-a.out mcomm-23.out
+result=$?
+
+rm -fr $tmpfiles
+
+exit $result